# Add Zones

A **warehouse zone** is a physically or logically segregated area within a warehouse defined by the product handling type (e.g., by LPN or by product) or by type of material (e.g., hazardous material, temperature requirements, etc.)

A zone enables defining constraints for putaway, retrieval, and picking of SKUs in the warehouse.

This warehouse zone system allows you always to store the items in the exact locations so that employees can know where the items are stored.

## Create New Zone

To create a new zone for existing warehouse, navigate to warehouse editing page and click on 'New' button in the Zones section on the right bottom side of the window.

![Zones Section](/files/aXAoiOxZr0lbZvvnCyms)

In the following window fill as much information as possible, then click 'Submit' in the bottom right corner.

![Zone Details Field](/files/4mW4o1yxGSnF8EIFdOuP)

{% hint style="info" %}
Notice: 'Zone code' and 'Product handling' fields are mandatory for creation of the new zone. These and other information fields can be edited later.
{% endhint %}

There are two Product Handling types: By Product or by LPN. Chose the desire handling type for each zone according to the zone requirements.

### Editing Existing Zones

From your default landing page navigate to Setup > Warehouse > Zones and click on the link of the desired zone from the 'Code' column.

![Zones Editing Page](/files/5PyXPbjbWeMZig4JpR7m)

In the following window you can setup up zone dimensions, assign clients, add/edit zone details, and configure allowed products within the chosen zone.

![Zone Setup Page](/files/W0HtlVOBEzqWoTcL7KuT)

Zone Mask is an especially important feature that is best managed by the implementation team. In a brief overview zone mask will assist user in creating sufficient amount of bin locations to accommodate physical layout of your warehouse.

{% hint style="danger" %}
Zone masking all depends on the physical warehouse layout, use this feature with care as you can accidently create hundreds of thousands of bin locations.
{% endhint %}

Mask Structure: Mask segments are inside of { } each segment is numbered. Below are a couple samples with the results.

* A-{0:00}-(1:000} = A-01-001&#x20;
  * This format is Zone, Aisle, Level
* B-{0:00}-{1:00} = B-01-01
  * This format is Zone, Aisle, Level

{% hint style="info" %}
For a more information on Zone setup and editing see the following link - [Zones](/v2/warehouse-full-setup/zones.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.p4warehouse.com/v2/quick-start-guide/create-a-warehouse/add-zones.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
